#!/usr/bin/python

from distutils.core import setup
import warnings
import os

if not os.getenv('DISTUTILS_DEBUG'):
    warnings.filterwarnings('ignore',
                            category = UserWarning,
                            module   = 'distutils')

setup(
    name='ksplice-uptrack',
    version="0.1.2",
    description='Ksplice Uptrack API client library for Python',
    author='Ksplice, Inc.',
    author_email="devel@ksplice.com",
    url='http://ksplice.com/',
    packages=['ksplice', 'ksplice.uptrack'],
    scripts=['bin/check_uptrack'],
    requires=['cjson', 'pycurl'],
    classifiers = [
        "License :: OSI Approved :: Apache Software License",
        "Intended Audience :: Developers",
        "Topic :: Software Development :: Libraries",
        ]
)
